Bug 87697 - up2date kernel update fails
Summary: up2date kernel update fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 14:51 UTC by Dennis Williams
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 19:02:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Williams 2003-04-01 14:51:35 UTC
Description of problem:

running "up2date -pu" for latest kernel upgrade I get following message:

===========================
Testing package set / solving RPM inter-dependencies...
########################################
RPM package conflict error.  The message was:
Test install failed because of package conflicts:
installing package kernel-2.4.18-27.7.x needs 895Kb on the /boot
filesystem
===========================

Of course I checked this out:
===========================
[root@fleet-one admin]# df -h /boot
Filesystem		Size  Used Avail Use% Mounted on
/dev/md3		 38M   33M  3.7M  90% /boot
===========================

My up2date --configure:

0.  storageDir         /var/spool/up2date
1.  networkSetup       Yes
2.  headerCacheSize    40
3.  httpProxy
4.  debug              No
5.  useGPG             Yes
6.  networkRetries     5
7.  removeSkipList     ['kernel*']
8.  retrieveOnly       No
9.  enableProxy        No
10. keepAfterInstall   No
11. proxyPassword
12. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
13. proxyUser
14. headerFetchCount   10
15. versionOverride
16. useNoSSLForPackage No
17. enableProxyAuth    No
18. noSSLServerURL     http://xmlrpc.rhn.redhat.com/XMLRPC
19. noReplaceConfig    Yes
20. sslCACert          /usr/share/rhn/RHNS-CA-CERT
21. noBootLoader       No
22. systemIdPath       /etc/sysconfig/rhn/systemid
23. serverURL          https://xmlrpc.rhn.redhat.com/XMLRPC
24. pkgSkipList        []
25. adminAddress       ['root@localhost']
26. forceInstall       No
27. fileSkipList       []
28. retrieveSource     No


Apparently I can't get the kernel update because conflict errors determines I
don't have necessary disk space when 'df' on /boot says I do.


Thanks,
Dennis Williams






Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.